# Actions

Refer to the [actions](https://docs.jigx.com/building-apps-with-jigx/ui/actions) topic to understand concepts such as local and global actions, types of actions, as well as, how and where to configure actions in jigs, and data. The topics in this section provide code examples for each action.

Adding an `icon` property in an action only applies to `swipeable`, `secondary`, and `header` actions. Primary actions do not support icon setups.

Here is a list of all actions and the category type the action forms part of.

<table><thead><tr><th width="153.4609375">Type</th><th width="338.54296875">Description</th><th>Action</th></tr></thead><tbody><tr><td>Execution</td><td>Actions used to interact with data.</td><td><a href="/pages/uzZcEftvVzaytZZBepQR">evaluate</a></td></tr><tr><td></td><td></td><td><a href="/pages/BuHf584A2aZLga7Z7CN3">execute-entity</a></td></tr><tr><td></td><td></td><td><a href="/pages/w3wfDwapE4XkLAc3mqwG">execute-entities</a></td></tr><tr><td></td><td></td><td><a href="/pages/o8XdILmgS5vS9Mm29PKr">execute-sql</a></td></tr><tr><td></td><td></td><td><a href="/pages/PcESjaXQVme9rekuQD2c">submit-form</a></td></tr><tr><td></td><td></td><td><a data-mention href="/pages/Hx0tDH2e1JhKRSFdPsAo">/pages/Hx0tDH2e1JhKRSFdPsAo</a></td></tr><tr><td></td><td></td><td><a href="/pages/e26NA3TCVuIkQrz4PIgy">sync-entities</a><br><a href="/pages/T8PsMN6VeGVbTEb9kWNK">start-sync-scope</a><br><a href="/pages/3R4s7ucR2z0VpMcxBCNU">delete-sync-scope</a><br><a href="/pages/aIIE6bSCkDiDWPHAI6I8">delete-sync-status</a></td></tr><tr><td></td><td></td><td><a href="/pages/n0g68WNToGyoL2z1hz1a">print</a></td></tr><tr><td></td><td></td><td><a href="/pages/sJ9fqQL6WscJP3CDyP3g">generate-pdf</a></td></tr><tr><td></td><td></td><td><a href="/pages/qnD4pHNLxFda95DilcX1">generate-file</a></td></tr><tr><td></td><td></td><td><a href="/pages/Gt3wj4sIsErQPH0SF7rQ">share</a></td></tr><tr><td></td><td></td><td><a href="/pages/lIidWrUj9lta0lICLXFT">update-profile</a></td></tr><tr><td>Navigation</td><td>Actions used to navigate to another jig or Home Hub</td><td><a href="/pages/rI2k2zw23IdUjLXJxIwi">go-to</a></td></tr><tr><td></td><td></td><td><a href="/pages/bJU6il0IcUHIcOp0mZdk">go-back</a></td></tr><tr><td></td><td></td><td><a href="/pages/FErJygUTIg6BQGewfSFk">set-active-tab</a></td></tr><tr><td>Opening</td><td>Actions used to <em>open</em> certain <a href="/pages/vcDs0HawcFrDOP1y1K8g">Components</a>.</td><td><a href="/pages/tCceocMVvbXc8ZGpgUR6">open-map</a></td></tr><tr><td></td><td></td><td><a href="/pages/OaBR0L3s6LK1QNO8dMUs">open-media-picker</a></td></tr><tr><td></td><td></td><td><a href="/pages/Uu5f0yhHfHThD7tnLjt9">open-scanner</a></td></tr><tr><td></td><td></td><td><a href="/pages/K1Hkb4X0FT4ehkzAPTI7">open-url</a></td></tr><tr><td>Evaluation</td><td><em>Evaluation state -</em> actions to determine a specific status or value of a solution, property, or component.</td><td><a href="/pages/3N8lWgm2T7Hn0gqt4qBp">set-state</a></td></tr><tr><td></td><td></td><td><a href="/pages/a0u8fD9JhlObl8MEpJ3g">reset-state</a></td></tr><tr><td></td><td></td><td><a href="/pages/vV0HMn2lNLUy9nnktStb">set &#x26; reset component state</a></td></tr><tr><td></td><td></td><td><a href="/pages/cbGSi3I9sEUmyYisT0te">set &#x26; reset jig state</a></td></tr><tr><td></td><td></td><td><a href="/pages/ovFfDFXtCmL6jG8T7yaB">set &#x26; reset solution state</a></td></tr><tr><td>Grouping</td><td>Multiple actions can be grouped to run with a single user interaction. The actions can be run sequentially or executed in bulk.</td><td><a href="/pages/LFvRmzztzwIHL4ekJ753">action-list</a></td></tr><tr><td>Display</td><td>Action used to display a modal or popup containing a message.</td><td><a href="/pages/eiGvLj9r16ZRbFGUYAK6">confirm</a><br><a href="/pages/8fVed9zGDXxrMZGwAsrj">info-modal</a></td></tr><tr><td></td><td>Notify users about important information or errors in the app.</td><td><a href="/pages/XeiHfiJOO6dA5gF8uuqZ">show-alert</a></td></tr><tr><td>Events</td><td>Actions that execute after a user or device performs a trigger.</td><td><ul><li>onBlur</li><li>onRefresh</li><li>onFocus</li><li>onPress</li><li>onLoad (only on index.jigx)</li><li>onChange</li><li>onDelete</li><li>onButtonPress (only on calendar jigs)</li><li><a href="/pages/AB1208vIgtN6JkVSKxoG">onTableChange</a> (only on index.jigx)</li></ul></td></tr><tr><td><p>Reuse</p><p>(<a href="https://docs.jigx.com/building-apps-with-jigx/ui/actions#global-actions">global-actions</a>)</p></td><td>Using the <code>execute-action</code> action provides greater control and enables reuse when the same logic needs to be performed in multiple places. For example, <code>action.sync-entities</code> might be called during app initialization, again when data changes, or when only a specific subset of data needs to be synced. By using <code>execute-action</code>, you can easily reuse the granular actions that handle the actual work, reducing duplication and improving maintainability.</td><td><a href="/pages/jyBCT0S5hljDQIyj8mwL">execute-actions</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jigx.com/examples/readme/actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
